#include <bits/stdc++.h>

using namespace std;

/*
if(used[to]) low[v]=min(low[v],tin[to])
else{
    dfs(to,v);
    low[v]=min(low[v],low[to]);

    if(low[to]>tin[v]) rebro;
}*/
#define ll long long
const ll F=1e18,N=2e6;
ll n,a[N],b[N];


bool ser(ll x){

    multiset<ll> el;

    for(ll i=2;i<=n;++i) if(i!=x) el.insert(a[i]);
    el.insert(F);

    b[1]=a[x];

    for(ll i=3;i<=n;++i){
        x=*el.lower_bound(b[i-1]*2-b[i-2]);

        if(x==F) return 0;

        b[i]=x;

        el.erase(el.find(x));
    }

    return 1;
}


string solve(){

    cin>>n;


    for(ll i=1;i<=n;++i) cin>>a[i];
    sort(a+1,a+1+n);


    b[2]=a[1];

    if(ser(n)||ser(n-1)) cout<<"YES\n";
    
    return "NO\n";
}

int main()
{
    ll q=1;


    cin>>q;
    while(q--) cout<<solve();
}
